import 'package:fastor_app_ui_widget/fastor_app_ui_widget.dart';
import 'package:flutter/material.dart';

class AppBarFastor extends StatelessWidget {

  String title;
  BorderRadius? radiusBorder;
  double height;
  Color? colorBackground;
  Color? colorLine;


  AppBarFastor( {
    required this.title,
    required this.height,
    BorderRadius? this.radiusBorder,

    Color? this.colorBackground,
    Color? this.colorLine,
  });


  BuildContext? _context;

  @override
  Widget build(BuildContext context) {
    this._context = context;
    return getAppBar();
  }

  Widget getAppBar() {
    return  Container(
      width: DeviceTools.getWidth(_context!),
      height: height ,
      decoration: BoarderHelper.rounded(
          colorBackground: colorBackground??DSColor.ds_background_toolbar,
          colorLine: colorLine??DSColor.ds_background_toolbar,

          //radius
          radiusBorder: radiusBorder
          // radiusBorder: BorderRadiusTools.get(
          //     radius_bottomLeft : 14,
          //     radius_bottomRight: 14
          // )
      ),

      alignment: Alignment.center,

      child: TextFastor(  title,
        levelDS: LevelDS.parent ,
        color: DSColor.toolbar_title,
      ),
    );
  }

}